Get a DuckDuckGo instant answer
Get DuckDuckGo's instant answer for a topic: a summary, facts, a direct answer and related links.
Headers
Get your API keyAPI key (`sfk_...`)
A topic, name or question, e.g. `Albert Einstein`.
min 1 chars · max 500 chars
Endpoint-specific response payload.
`found` when DuckDuckGo has an answer for the topic; `not_found` when it has none.
one of: found, not_found
The topic that was asked.
The topic's name.
`article`, `disambiguation`, `category`, `name`, `exclusive` or null.
What the topic is, e.g. `scientist`.
A summary of the topic.
Summary text.
Where the summary is from.
The summary's page.
A direct answer, for questions DuckDuckGo can answer.
A direct answer.
What made it, e.g. `calc`.
A definition, for words.
A dictionary definition.
Where it is from.
Its page.
Image URL.
The official site.
Facts about the topic.
Fact name, e.g. `Born`.
Fact value.
Primary links, such as the official site.
Link text.
Link URL.
Related topics.
Link text.
Link URL.
A redirect target, for `!bang` queries.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Present, and `true`, only when the source couldn't be reached and this is the last good answer for the same request instead, up to 24 hours old. Absent on every live answer.
one of: true
When a stale answer (`stale: true`) was originally fetched (ISO 8601, UTC). Absent on every live answer.
Code example
curl "https://api.socialfetch.dev/v1/duckduckgo/instant-answer?query=Albert%20Einstein" \
-H "x-api-key: YOUR_API_KEY"Responses
DuckDuckGo's instant answer for a topic.